Package com.independentsoft.office.spreadsheet.styles

# Class PatternFill

java.lang.Object
com.independentsoft.office.spreadsheet.styles.PatternFill

public class PatternFill extends Object
The Class PatternFill.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PatternFill()`
  Instantiates a new pattern fill.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PatternFill`
  `clone()`
  `BackgroundColor`
  `getBackgroundColor()`
  Gets the background color.
  `ForegroundColor`
  `getForegroundColor()`
  Gets the foreground color.
  `PatternType`
  `getType()`
  Gets the type.
  `void`
  `setBackgroundColor​(BackgroundColor backgroundColor)`
  Sets the background color.
  `void`
  `setForegroundColor​(ForegroundColor foregroundColor)`
  Sets the foreground color.
  `void`
  `setType​(PatternType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PatternFill

    public PatternFill()
    Instantiates a new pattern fill.

- ## Method Details

  - ### clone

    public PatternFill clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBackgroundColor

    public BackgroundColor getBackgroundColor()
    Gets the background color.
    Returns:
      the background color

  - ### setBackgroundColor

    public void setBackgroundColor​(BackgroundColor backgroundColor)
    Sets the background color.
    Parameters:
      `backgroundColor` - the new background color

  - ### getForegroundColor

    public ForegroundColor getForegroundColor()
    Gets the foreground color.
    Returns:
      the foreground color

  - ### setForegroundColor

    public void setForegroundColor​(ForegroundColor foregroundColor)
    Sets the foreground color.
    Parameters:
      `foregroundColor` - the new foreground color

  - ### getType

    public PatternType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(PatternType type)
    Sets the type.
    Parameters:
      `type` - the new type